Linked by Thom Holwerda on Mon 3rd May 2010 13:47 UTC, submitted by Andreas Andersen
KDE "The KDevelop team is proud and happy to announce that KDevelop 4.0 is finally available as stable release. KDevelop comes with lots of innovative features, even though many features from the 3.5 series were dropped due to a nearly complete rewrite. In particular the developers have focused on building an excellent C++ IDE instead of trying to integrate lots of languages and features halfheartedly. Of course KDevelop 4 also builds an excellent basis for other languages, the best proof for that is the PHP plugin that is released alongside KDevelop 4.0. KDevelop 4.0 has an excellent C++ code understanding engine, which allows the IDE to understand your code better than you do, and which is then used to assist you by releasing you from tiresome tasks."
Thread beginning with comment 422660
To view parent comment, click here.
To read all comments associated with this story, please click here.
Richard Dale
Member since:
2005-07-22

"As a relative newcomer, I was using Kdevelop 3.x for my Ruby/Qt4 programming and it was BEAUTIFUL: well documented, easy to learn, and easy to use. I was making GUI apps with that combinatio inside of 2 months

While I was at first dismayed at the lack of "official" support for Ruby in KDevelop4; but there has been a LOT of really impressive other work being done by a number of folks (Richard Dale, Alexander Dymo, and others) to turn KDevelop into THE top notch non-Java based IDE for Ruby GUI desktop and Rails app development. There is a plugin I believe though it isn't officially stable, and the integrated Kate is a pretty sweet editor for Ruby on its own...

So all you Ruby folks wanting to use KDevelop4 for Ruby, keep your eyes peeled, as it is activelyt evolving...and give it a shot...I know I will be...


What Qt4 bindings do you use for Ruby? Is the binding up-to-date?

Ruby is an awesome language... and an up-to-date Qt4 binding would be awesome.
"

QtRuby in the KDE svn is up to date and supports Qt 4.6. The version on the Korundum site on RubyForge is less up to date, and a new release is a bit overdue.

Reply Parent Score: 3